Bug 874346 - virt-install should allow injecting files into subdirectories of the initramfs.
virt-install should allow injecting files into subdirectories of the initramfs.
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 19:54 EST by Tom Prince
Modified: 2013-09-27 12:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-27 12:26:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Prince 2012-11-07 19:54:03 EST
Description of problem:

virt-install only allows injecting files into the root of the initramfs.
When using anaconda kickstart scripts, I have been informed that only files in
/run/install will be accessible in the post-install script, which means that virt-install doesn't have a a way of injecting files to be accesible then.

(Specifying a directory to --inject-initrd doesn't work either, do to the use of shutil.copy).
Comment 1 Cole Robinson 2013-04-21 15:12:26 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 2 Cole Robinson 2013-09-27 12:26:01 EDT
Thanks for the report, sorry for the long delay with no response.

(In reply to Tom Prince from comment #0)
> Description of problem:
> 
> virt-install only allows injecting files into the root of the initramfs.
> When using anaconda kickstart scripts, I have been informed that only files
> in
> /run/install will be accessible in the post-install script, which means that
> virt-install doesn't have a a way of injecting files to be accesible then.


Doesn't seem to be the case for me, I have a test suite that verifies anaconda can read a kickstart for RHEL4-6, F14+ and it all works. The only caveat is F16 will only pass through a .ks or .cfg file but later Fedora's don't have that problem. So rather than complicate this already complicated code I'm just going to say WONTFIX

Note You need to log in before you can comment on or make changes to this bug.